FAQ / Compatibility

  • Will your plugins work on my Power PC Mac?

    Not anymore. The older versions of the plugins were built and tested for PPC and Intel Mac. The latest revisions use a more up-to-date version of Juce (for AAX compatibility), and these Juce changes are no longer compatible with PPC. We no longer sell PPC versions of the plugins, as we are unable to offer support for these 11+ year old machines.

    I still need help …

Other FAQs in Compatibility

All FAQs